Bug 1983887 - Review Request: rust-aparato - Pci.ids-compliant library for getting information about available PCI devices
Summary: Review Request: rust-aparato - Pci.ids-compliant library for getting informat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-20 05:28 UTC by Davide Cavalca
Modified: 2022-07-19 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-10 16:04:26 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-20 05:28:00 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-aparato/rust-aparato.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-aparato/rust-aparato-6.0.0-1.fc35.src.rpm

Description:
Pci.ids-compliant library for getting information about available PCI devices.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-20 05:28:02 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=72225277

Comment 2 Robert-André Mauchin 🐧 2022-01-23 20:57:25 UTC
 - Bump to 6.0.2


 - License ok
 - Build in Mock
 - No rpmlint errors
 - Checks pass
 - Conforms to Packaging Guidelines

Please regenerate the .spec file with rust2rpm 20 before building this package for Fedora.

Comment 3 Fabio Valentini 2022-01-23 22:44:34 UTC
If this crate indeed does not work on s390x due to missing kernel support, it might make sense to ExcludeArch it (same for any crates that depend on this crate), instead of only skipping the tests?

Comment 4 Davide Cavalca 2022-02-13 04:59:22 UTC
Yeah, ExcludeArch is probably better, as I don't think this would do anything useful on s390x as it is. I'll retest with the latest version on import to be sure.

$ fedpkg request-repo rust-aparato 1983887
https://pagure.io/releng/fedora-scm-requests/issue/42149

Comment 5 Igor Raits 2022-02-13 10:44:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-aparato

Comment 6 Fabio Valentini 2022-03-19 12:21:09 UTC
This package has been reviewed and created over a month ago. Please don't forget to import and build it, too.

Comment 7 Fedora Update System 2022-07-10 16:02:11 UTC
FEDORA-2022-4504c00aac has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4504c00aac

Comment 8 Fedora Update System 2022-07-10 16:04:26 UTC
FEDORA-2022-4504c00aac has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-07-10 21:20:10 UTC
FEDORA-2022-e59576920b has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e59576920b

Comment 10 Fedora Update System 2022-07-10 21:28:28 UTC
FEDORA-2022-7964b1d456 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7964b1d456

Comment 11 Fedora Update System 2022-07-11 02:41:32 UTC
FEDORA-2022-7964b1d456 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7964b1d456 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7964b1d456

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-07-11 02:56:02 UTC
FEDORA-2022-e59576920b has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e59576920b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e59576920b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-07-19 01:40:12 UTC
FEDORA-2022-e59576920b has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-07-19 02:20:03 UTC
FEDORA-2022-7964b1d456 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.